// Copyright {{ year }} {{ name_of_copyright_owner }}
// {{ license }}
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


`ifndef __UVMA_{{ name.upper() }}_CONSTANTS_SV__
`define __UVMA_{{ name.upper() }}_CONSTANTS_SV__


{% if mm %}const int unsigned  uvma_{{ name }}_default_addr_width  = `UVMA_{{ name.upper() }}_ADDR_DEFAULT_WIDTH ; ///< Address signal width.  Measured in bits (b).
const int unsigned  uvma_{{ name }}_default_data_width  = `UVMA_{{ name.upper() }}_DATA_DEFAULT_WIDTH ; ///< Data signal width.  Measured in bits (b).
{% else %}const int unsigned  uvma_{{ name }}_default_data_width  = `UVMA_{{ name.upper() }}_DATA_DEFAULT_WIDTH ; ///< Data signal width.  Measured in bytes (b).
{% endif %}

{% if mm %}const int unsigned  uvma_{{ name }}_rand_stim_vseq_max_num_access = 1_000; ///< Default number of accesses for uvma_{{ name }}_rand_stim_vseq_c.
const int unsigned  uvma_{{ name }}_rand_stim_vseq_max_gap        =   100; ///< Default number of packets for uvma_{{ name }}_rand_stim_vseq_c.
{% else %}
const int unsigned  uvma_{{ name }}_rand_stim_vseq_max_num_pkts = 1_000; ///< Maximum number of packets for uvma_{{ name }}_rand_stim_vseq_c.
const int unsigned  uvma_{{ name }}_rand_stim_vseq_min_size     =     8; ///< Minimum packet size for uvma_{{ name }}_rand_stim_vseq_c.
const int unsigned  uvma_{{ name }}_rand_stim_vseq_max_size     = 1_024; ///< Maximum packet size for uvma_{{ name }}_rand_stim_vseq_c.
const int unsigned  uvma_{{ name }}_rand_stim_vseq_max_gap      =   100; ///< Minimum packet gap for uvma_{{ name }}_rand_stim_vseq_c.
{% endif %}

`endif // __UVMA_{{ name.upper() }}_CONSTANTS_SV__
