// Copyright {{ year }} {{ name_of_copyright_owner }}
// {{ license }}
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


`ifndef __UVMA_{{ name.upper() }}_{{ segment.rx.upper() }}_{{ segment.name.upper() }}_SEQ_ITEM_SV__
`define __UVMA_{{ name.upper() }}_{{ segment.rx.upper() }}_{{ segment.name.upper() }}_SEQ_ITEM_SV__


/**
 * Sequence Item created by {{ full_name }} Virtual Sequences for driving uvma_{{ name }}_{{ segment.rx }}_{{ segment.name }}_drv_c.
 * @ingroup uvma_{{ name }}_seq
 */
class uvma_{{ name }}_{{ segment.rx }}_{{ segment.name }}_seq_item_c extends uvml_seq_item_c;

   uvma_{{ name }}_cfg_c  cfg; ///< Agent configuration handle

   /// @name Data
   /// @{
   // TODO Add uvma_{{ name }}_{{ segment.rx }}_{{ segment.name }}_seq_item_c signals
   {% if mm %}//      Ex: rand bit  {{ segment.name }}gnt; ///< TODO Describe uvma_{{ name }}_{{ segment.rx }}_{{ segment.name }}_seq_item_c::{{ segment.name }}gnt
   {% else %}//      Ex: rand bit  {{ segment.name }}_gnt; ///< TODO Describe uvma_{{ name }}_{{ segment.rx }}_{{ segment.name }}_seq_item_c::{{ segment.name }}_gnt
   {% endif %}/// @}

   /// @name Metadata
   /// @{
   // TODO Add uvma_{{ name }}_{{ segment.rx }}_{{ segment.name }}_seq_item_c metadata
   {% if mm %}//      Ex: uvma_{{ name }}_req_l_t  {{ segment.name }}req; ///<
   {% else %}//      Ex: uvma_{{ name }}_req_l_t  {{ segment.name }}_req; ///<
   {% endif %}/// @}


   `uvm_object_utils_begin(uvma_{{ name }}_{{ segment.rx }}_{{ segment.name }}_seq_item_c)
      // TODO Add uvma_{{ name }}_{{ segment.rx }}_{{ segment.name }}_seq_item_c `uvm_field_x macros
      {% if mm %}//      Ex: `uvm_field_int({{ segment.name }}gnt, UVM_DEFAULT)
      {% else %}//      Ex: `uvm_field_int({{ segment.name }}_gnt, UVM_DEFAULT)
   {% endif %}`uvm_object_utils_end


   /**
    * Default constructor.
    */
   extern function new(string name="uvma_{{ name }}_{{ segment.rx }}_{{ segment.name }}_seq_item");

   /**
    * Describes transaction as metadata for uvml_logs_metadata_logger_c.
    */
   extern function uvml_metadata_t get_metadata();

endclass : uvma_{{ name }}_{{ segment.rx }}_{{ segment.name }}_seq_item_c


function uvma_{{ name }}_{{ segment.rx }}_{{ segment.name }}_seq_item_c::new(string name="uvma_{{ name }}_{{ segment.rx }}_{{ segment.name }}_seq_item");

   super.new(name);

endfunction : new


function uvml_metadata_t uvma_{{ name }}_{{ segment.rx }}_{{ segment.name }}_seq_item_c::get_metadata();

   // TODO Implement uvma_{{ name }}_{{ segment.rx }}_{{ segment.name }}_seq_item_c::get_metadata()
   {% if mm %}//      Ex: string {{ segment.name }}gnt_str;
   //          if (({{ segment.name }}gnt === 1'b1) && ({{ segment.name }}req === 1'b1)) begin
   //             {{ segment.name }}gnt_str = $sformatf("%b", {{ segment.name }}gnt);
   //             get_metadata.push_back('{
   //                index     : 0,
   //                value     : {{ segment.name }}gnt_str,
   //                col_name  : "{{ segment.name }}gnt",
   //                col_width : {{ segment.name }}gnt_str.len(),
   //                col_align : UVML_TEXT_ALIGN_RIGHT,
   //                data_type : UVML_FIELD_ENUM
   //             });//      Ex: string {{ segment.name }}_gnt_str;
   {% else %}//      Ex: string {{ segment.name }}_gnt_str;
   //          if (({{ segment.name }}_gnt === 1'b1) && ({{ segment.name }}_req === 1'b1)) begin
   //             {{ segment.name }}_gnt_str = $sformatf("%b", {{ segment.name }}_gnt);
   //             get_metadata.push_back('{
   //                index     : 0,
   //                value     : {{ segment.name }}_gnt_str,
   //                col_name  : "{{ segment.name }}_gnt",
   //                col_width : {{ segment.name }}_gnt_str.len(),
   //                col_align : UVML_TEXT_ALIGN_RIGHT,
   //                data_type : UVML_FIELD_ENUM
   //             });
   {% endif %}//          end

endfunction : get_metadata


`endif // __UVMA_{{ name.upper() }}_{{ segment.rx.upper() }}_{{ segment.name.upper() }}_SEQ_ITEM_SV__
