// Copyright {{ year }} {{ name_of_copyright_owner }}
// {{ license }}
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


`ifndef __UVMT_{{ name.upper() }}_ST_DUT_WRAP_SV__
`define __UVMT_{{ name.upper() }}_ST_DUT_WRAP_SV__


/**
 * "DUT" wrapper connecting {{ full_name }} UVM Agent Self-Test Bench interfaces.  All ports are SV interfaces.
 * @ingroup uvmt_{{ name }}_st_tb
 */
module uvmt_{{ name }}_st_dut_wrap(
   uvma_{{ name }}_if  {{ mode_1 }}_if, ///< {{ mode_1.upper() }} Agent interface
   uvma_{{ name }}_if  {{ mode_2 }}_if, ///< {{ mode_2.upper() }} Agent interface
   uvma_{{ name }}_if  passive_if ///< Passive Agent interface
);

   // TODO Connect interfaces
   //      Ex:
{% for segment in segments %}   //          assign {{ segment.rx }}_if.{{ segment.name }}req  = {{ segment.tx }}_if.{{ segment.name }}req ;
   //          assign {{ segment.tx }}_if.{{ segment.name }}gnt  = {{ segment.rx }}_if.{{ segment.name }}gnt ;
   //          assign {{ segment.rx }}_if.{{ segment.name }}we   = {{ segment.rx }}_if.{{ segment.name }}we  ;
   //          assign {{ segment.rx }}_if.{{ segment.name }}addr = {{ segment.rx }}_if.{{ segment.name }}addr;
{% if sbe %}   //          assign {{ segment.rx }}_if.{{ segment.name }}be   = {{ segment.rx }}_if.{{ segment.name }}be  ;
{% endif %}   //          assign {{ segment.rx }}_if.{{ segment.name }}data = {{ segment.rx }}_if.{{ segment.name }}data;
{% endfor %}
endmodule : uvmt_{{ name }}_st_dut_wrap


`endif // __UVMT_{{ name.upper() }}_ST_DUT_WRAP_SV__
