@page user_guide User Guide
@htmlonly
<div class="autonumbering">
@endhtmlonly



@tableofcontents



@section license_agreement_ug License Agreement
© Copyright {{ year }} {{ name_of_copyright_owner }}

{{ license }}


@section user_guide_id Document Information
ID | Name | Version
-- | ---- | -------
002 | User Guide | v.1.0


@subsection user_guide_description Description
This guide will walk you through integrating the {{ full_name }} UVM Agent in your own UVM Environment and Test Bench.

![uvma_{{ name }}_agent_c Block Diagram](agent_block_diagram.svg)



@section user_guide_guide_revision_history Revision History
Revision  | Date | Description
--------- | ---- | -----------
1.0 | {{ year }}/01/01 | Initial Version



@section user_guide_definitions Definitions
Symbol  | Description
--------- | -----------
 {{ mode_1.upper() }} | TODO Describe {{ mode_1.upper() }}
 {{ mode_2.upper() }} | TODO Describe {{ mode_2.upper() }}
 {{ tx.upper() }} | TODO Describe {{ tx.upper() }}
 {{ rx.upper() }} | TODO Describe {{ rx.upper() }}



@section user_guide_prerequisites Pre-Requisites
The Moore.io Client CLI, used throughout this tutorial is available via "pipx":
@code{.sh}pipx install mio-client@endcode



@section user_guide_guide_installation Installation
Install the {{ full_name }} UVM Agent: @code{.sh}mio install uvma_{{ name }}@endcode



@section user_guide_guide_todo Contents
TODO Finish the {{ full_name }} User Guide




@htmlonly
</div>
@endhtmlonly
