// Copyright {{ year }} {{ name_of_copyright_owner }}
// {{ license }}
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


`ifndef __UVML_{{ name_uppercase }}_PKG_SV__
`define __UVML_{{ name_uppercase }}_PKG_SV__


// Doxygen Groups
/**
 * @defgroup uvml_{{ name }}_pkg {{ name_normal_case }} UVM Library
 * @{
 * @defgroup uvml_{{ name }}_comps Components
 * @defgroup uvml_{{ name }}_misc  Miscellaneous
 * @defgroup uvml_{{ name }}_obj   Objects
 * @defgroup uvml_{{ name }}_seq   Sequences & Sequence Items
 * @}
 */


// Pre-processor macros
`include "uvm_macros.svh"
`include "uvml_{{ name }}_macros.svh"


/**
 * Encapsulates all the types needed for the {{ name_normal_case }} library.
 *
 */
package uvml_{{ name }}_pkg;

   import uvm_pkg::*;

   // Constants / Structs / Enums
   `include "uvml_{{ name }}_tdefs.sv"
   `include "uvml_{{ name }}_constants.sv"

endpackage : uvml_{{ name }}_pkg


`endif // __UVML_{{ name_uppercase }}_PKG_SV__
