// Copyright {{ year }} {{ name_of_copyright_owner }}
// {{ license }}
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


`ifndef __UVMA_{{ name.upper() }}_MACROS_SV__
`define __UVMA_{{ name.upper() }}_MACROS_SV__


{% if mm %}`ifndef UVMA_{{ name.upper() }}_ADDR_MAX_WIDTH
`define UVMA_{{ name.upper() }}_ADDR_MAX_WIDTH  64
`endif
`ifndef UVMA_{{ name.upper() }}_DATA_MAX_WIDTH
`define UVMA_{{ name.upper() }}_DATA_MAX_WIDTH  64
`endif
{% else %}`ifndef UVMA_{{ name.upper() }}_DATA_MAX_WIDTH
`define UVMA_{{ name.upper() }}_DATA_MAX_WIDTH  128
`endif
`ifndef UVMA_{{ name.upper() }}_DATA_MAX_SIZE
`define UVMA_{{ name.upper() }}_DATA_MAX_SIZE  1_024
`endif
`ifndef UVMA_{{ name.upper() }}_DATA_MIN_SIZE
`define UVMA_{{ name.upper() }}_DATA_MIN_SIZE  8
`endif
{% endif %}
{% if mm %}`ifndef UVMA_{{ name.upper() }}_ADDR_DEFAULT_WIDTH
`define UVMA_{{ name.upper() }}_ADDR_DEFAULT_WIDTH  32
`endif
`ifndef UVMA_{{ name.upper() }}_DATA_DEFAULT_WIDTH
`define UVMA_{{ name.upper() }}_DATA_DEFAULT_WIDTH  32
`endif
{% else %}`ifndef UVMA_{{ name.upper() }}_DATA_DEFAULT_WIDTH
`define UVMA_{{ name.upper() }}_DATA_DEFAULT_WIDTH  4
`endif
{% endif %}

`ifndef UVMA_{{ name.upper() }}_{{ mode_1.upper() }}_DRV_SEQ_ITEM_PRI
`define UVMA_{{ name.upper() }}_{{ mode_1.upper() }}_DRV_SEQ_ITEM_PRI    100
`endif
`ifndef UVMA_{{ name.upper() }}_{{ mode_2.upper() }}_DRV_SEQ_ITEM_PRI
`define UVMA_{{ name.upper() }}_{{ mode_2.upper() }}_DRV_SEQ_ITEM_PRI     100
`endif
{% for segment in segments %}`ifndef UVMA_{{ name.upper() }}_{{ mode_1.upper() }}_{{ segment.name.upper() }}_IDLE_SEQ_ITEM_PRI
`define UVMA_{{ name.upper() }}_{{ mode_1.upper() }}_{{ segment.name.upper() }}_IDLE_SEQ_ITEM_PRI   1
`endif
{% endfor %}{% for segment in segments %}`ifndef UVMA_{{ name.upper() }}_{{ mode_2.upper() }}_{{ segment.name.upper() }}_IDLE_SEQ_ITEM_PRI
`define UVMA_{{ name.upper() }}_{{ mode_2.upper() }}_{{ segment.name.upper() }}_IDLE_SEQ_ITEM_PRI    1
`endif
{% endfor %}
`endif // __UVMA_{{ name.upper() }}_MACROS_SV__
