// Copyright {{ year }} {{ name_of_copyright_owner }}
// {{ license }}
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


`ifndef __UVMT_{{ name.upper() }}_ST_CONSTANTS_SV__
`define __UVMT_{{ name.upper() }}_ST_CONSTANTS_SV__


const int unsigned uvmt_{{ name }}_st_default_clk_period          =     10_000; ///< Default clock period (ps).
const int unsigned uvmt_{{ name }}_st_default_reset_period        =        333; ///< Default reset period (ns).
const int unsigned uvmt_{{ name }}_st_default_startup_timeout     =     10_000; ///< Default Heartbeat Monitor startup timeout (ns).
const int unsigned uvmt_{{ name }}_st_default_heartbeat_period    =      5_000; ///< Default Heartbeat Monitor period (ns).
const int unsigned uvmt_{{ name }}_st_default_simulation_timeout  =  1_000_000; ///< Default Watchdog Timer simulation timeout (ns).


`endif // __UVMT_{{ name.upper() }}_ST_CONSTANTS_SV__
