# Hello from your Code Generator!
Thank you for using the Moore.io Basic UVM Agent Code Template v1.0!

Your parameters are:
* Name: '{{ name }}'
* Full Name: '{{ name_normal_case }}'

If this is incorrect, it is recommended to delete the generated IP and re-generate with the correct parameters.

What follows is a short guide for developers of this new UVM Agent Self-Test Environment.
Use `grep -nr TODO .` for a full list of sample code for changes you can make to the environment.

## 1. Modify the logical transaction definition
1. - [ ] Scoreboard Logs - `obj/uvme_{{ name }}_st_cfg_c` - Add Monitor Transaction metadata to scoreboard logs by following the examples.


## Have fun!
Make sure to check out the other IP generated along with this test bench:
* `uvma_{{ name }}`
* `uvmt_{{ name }}_st`




# {{ name_of_copyright_owner }} {{ name_normal_case }} Agent Self-Test UVM Environment


# About
This IP contains the {{ name_of_copyright_owner }} {{ name_normal_case }} Agent Self-Test UVM Environment.
Its main purpose is to test the {{ name_normal_case }} UVM Agent (`uvma_{{ name }}_pkg`) in isolation.


# Block Diagram
![alt text](./docs/env_block_diagram.svg "{{ name_normal_case }} Self-Test UVM Environment")

# Directory Structure
* `bin` - Scripts, metadata and other miscellaneous files
* `docs` - Reference documentation
* `examples` - Code samples for using and extending this environment
* `src` - Source code


# Dependencies
It is dependent on the following IP:

* `uvm`
* `uvml`
* `uvml_logs`
* `uvml_sb`
* `uvma_{{ name }}`
