# Hello from your Code Generator!
Thank you for using the Moore.io Basic UVM Agent Code Template v1.0!

Your parameters are:
* Name: '{{ name }}'
* Full Name: '{{ name_normal_case }}'

If this is incorrect, it is recommended to delete the generated IP and re-generate with the correct parameters.

What follows is a short guide for developers of this new UVM Agent Self-Test Bench.  You may also use `grep -nr TODO .` for a full list.

## 1 - Connect the Interfaces
 1. - [ ] DUT Wrapper - `tb/uvma_{{ name }}_dut_wrap.sv` - Use the sample code as a guide to connect the active and passive interfaces.

## Have fun!
Make sure to check out the other IP generated along with this test bench:
* `uvma_{{ name }}`
* `uvme_{{ name }}_st`




# {{ name_of_copyright_owner }} {{ name_normal_case }} Self-Test Bench and UVM Test Library


# About
This IP contains the {{ name_normal_case }} UVM Agent Self-Test Bench and Test Library.


# Block Diagram
![alt text](./docs/tb_block_diagram.svg "{{ name_normal_case }} Self-Test Bench Block Diagram")

# Directory Structure
* `bin` - Scripts, metadata and other miscellaneous files
* `docs` - Reference documentation
* `examples` - Code samples for adding to this test bench
* `src` - Source code


# Dependencies
It is dependent on the following IP:

* `uvm`
* `uvml`
* `uvml_logs`
* `uvml_sb`
* `uvma_{{ name }}`
* `uvme_{{ name }}_st`
