# Hello from your Code Generator!
Thank you for using the Moore.io Block-Level UVM Agents+Environment+TB Code Template v1.0!

Your parameters are:
* Name: '{{ name }}'
* Full Name: '{{ name_normal_case }}'

If this is incorrect, it is recommended to delete the generated IP and re-generate with the correct parameters.

This code template assumes the DUT has a single datapath (DP) direction and control plane (CP) signals.

What follows is a short guide for developers of this new UVM Environment.  You may also use `grep -nr TODO .` for a full list.

## 1 - Connect the DUT to the Interfaces
1. - [ ] Predictor - `comps/uvma_{{ name }}_prd.sv` - Use the sample code as a guide to convert input DP transactions into output DP transactions.
2. - [ ] Scoreboard Logs - `obj/uvme_{{ name }}_cfg_c` - Add Monitor Transaction metadata to scoreboard logs by following the examples.

## Have fun!
Make sure to check out the other IP generated along with this test bench:
* `uvma_{{ name }}_cp`
* `uvma_{{ name }}_dp_in`
* `uvma_{{ name }}_dp_out`
* `uvmt_{{ name }}`




# {{ name_of_copyright_owner }} {{ name_normal_case }} Block UVM Environment


# About
This IP contains the {{ name_of_copyright_owner }} {{ name_normal_case }} Block UVM Environment.

TODO Describe {{ name_normal_case }}


# Block Diagram
![alt text](./docs/env_block_diagram.svg "{{ name_normal_case }} Block UVM Environment Block Diagram")

# Directory Structure
* `bin` - Scripts, metadata and other miscellaneous files
* `docs` - Reference documentation
* `examples` - Code samples for using and extending this environment
* `src` - Source code


# Dependencies
It is dependent on the following IP:

* `uvm`
* `uvml`
* `uvml_logs`
* `uvml_sb`
* `uvml_ral`
* `uvma_clk`
* `uvma_reset`
* `uvma_{{ name }}_cp`
* `uvma_{{ name }}_dp_in`
* `uvma_{{ name }}_dp_out`
