// Copyright {{ year }} {{ name_of_copyright_owner }}
// {{ license }}
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


`ifndef __UVME_{{ name_uppercase }}_ST_VSEQ_LIB_SV__
`define __UVME_{{ name_uppercase }}_ST_VSEQ_LIB_SV__


`include "uvme_{{ name }}_st_base_vseq.sv"


/**
 * Object cataloging the {{ name_normal_case }} UVM Library self-test environment's virtual sequences.
 * @ingroup uvma_{{ name }}_st_seq
 */
class uvme_{{ name }}_st_vseq_lib_c extends uvml_vseq_lib_c #(
   .REQ(uvm_sequence_item),
   .RSP(uvm_sequence_item)
);

   `uvm_object_utils          (uvme_{{ name }}_st_vseq_lib_c)
   `uvm_sequence_library_utils(uvme_{{ name }}_st_vseq_lib_c)

   /**
    * 1. Initializes sequence library
    * 2. Adds sequences to library
    */
   extern function new(string name="uvme_{{ name }}_st_vseq_lib");

endclass : uvme_{{ name }}_st_vseq_lib_c


function uvme_{{ name }}_st_vseq_lib_c::new(string name="uvme_{{ name }}_st_vseq_lib");

   super.new(name);
   init_sequence_library();

endfunction : new


`endif // __UVME_{{ name_uppercase }}_ST_VSEQ_LIB_SV__
