@page user_guide User Guide
@htmlonly
<div class="autonumbering">
@endhtmlonly



@tableofcontents



@section license_agreement_ug License Agreement
© Copyright 2022 {{ name_of_copyright_owner }}

{{ license }}


@section user_guide_id Document Information
ID | Name | Version
-- | ---- | -------
002 | User Guide | v.1.0


@subsection user_guide_description Description
This guide will walk you through integrating the {{ name_normal_case }} UVM Library in your own UVM Library or Environment.



@section user_guide_guide_revision_history Revision History
Revision  | Date | Description
--------- | ---- | -----------
1.0 | {{ year }}/01/01 | Initial Version



@section user_guide_definitions Definitions
Symbol  | Description
--------- | -----------
 'PDM' | Please Define Me



@section user_guide_prerequisites Pre-Requisites
The Moore.io Client CLI, used throughout this tutorial is available via "pipx":
@code{.sh}pipx install mio-client@endcode



@section user_guide_guide_installation Installation
Install the {{ name_normal_case }} UVM Library: @code{.sh}mio install uvml_{{ name }}@endcode



@section user_guide_guide_todo Contents
TODO Finish the {{ name_normal_case }} User Guide




@htmlonly
</div>
@endhtmlonly
