# Hello from your Code Generator!
Thank you for using the Moore.io Sub-System UVM Environment+TB Code Template v1.0!

Your parameters are:
* Name: '{{ name }}'
* Full Name: '{{ name_normal_case }}'
* Clock Agent Name: '{{ clk_agent_name }}'
* Reset Agent Name: '{{ reset_agent_name }}'
* RAL Agent Type: '{{ ral_agent_type }}'
* RAL Agent Name: '{{ ral_agent_name }}'

If this is incorrect, it is recommended to delete the generated IP and re-generate with the correct parameters.

This code template assumes the DUT has a single {{ ral_agent_type }} interconnect interface, clock and reset.
The Predictor has example code for adding datapath prediction.
Sub-environments can be easily added by uncommenting the examples in the code.
The register model is empty but contains example code best used for small applications.
It is highly recommended to use a UVM Register Model generator.

use `grep -nr TODO .` for a full list of recommendations.


## Have fun!
Make sure to check out the other IP generated along with this environment:
* `uvmt_{{ name }}`




# {{ name_of_copyright_owner }} {{ name_normal_case }} Sub-System UVM Environment


# About
This IP contains the {{ name_of_copyright_owner }} {{ name_normal_case }} Sub-System UVM Environment.

TODO Describe {{ name_normal_case }}


# Block Diagram
![alt text](./docs/env_block_diagram.svg "{{ name_normal_case }} Sub-System UVM Environment Block Diagram")

# Directory Structure
* `bin` - Scripts, metadata and other miscellaneous files
* `docs` - Reference documentation
* `examples` - Code samples for using and extending this environment
* `src` - Source code


# Dependencies
It is dependent on the following IP:

* `uvm`
* `uvml`
* `uvml_logs`
* `uvml_sb`
* `uvml_ral`
* `uvma_clk`
* `uvma_reset`
* `uvma_{{ ral_agent_type }}`
